@import url("https://fonts.googleapis.com/css2?family=Kanit:wght@400;500;600;700;800;900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Saira:wght@300;400;500;600;700;800;900&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

:root {
  --primary-color: #0069ff;
  --black: #040404;
  --white: #fff;
  --bg: #d6efff;
  --bg2: #edf9ff;
  --border: #d1d1d1;
  --border2: #e7e7e7;
  --text2: #3d3d3d;
  --text3: #6d6d6d;
  --gradient: linear-gradient(94deg, #0069ff 0%, #233886 99.66%);
  --primary-font: "Kanit";
  --secondary-font: "Saira";
}

h1,
h2,
h3,
h4 {
  font-family: var(--primary-font);
}

p,
h5,
h6 {
  font-family: var(--secondary-font);
}
/* ..................... */

/* Hero Section Start */
.affiliate-hero {
  width: 100%;
  min-height: 350px;
  display: flex;
  align-items: center;
  background-image: url(../img/Hero5.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  object-fit: cover;
}
/* Hero Section End */

/* Testimonial-2 Start */
.client-testimonial2 {
  position: relative;
  width: 100%;
  margin-top: 80px;
}
.security .wrapper {
  width: 100%;
}

.client-testimonial2 .shape {
  position: absolute;
  top: 0;
  right: 0px;
  transform: translateY(-30%);
  z-index: -1;
  -webkit-transform: translateY(-30%);
  -moz-transform: translateY(-30%);
  -ms-transform: translateY(-30%);
  -o-transform: translateY(-30%);
}
.client-testimonial2 .shape svg {
  width: 100px;
  height: 100px;
}

.client-testimonial2 .header {
  text-align: center;
}

.client-testimonial2 .header p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--black);
  font-size: 1rem;
  margin-bottom: 0px;
}

.client-testimonial2 .header h1 {
  font-size: 2.5rem;
  color: var(--black);
}

.testimonial-grid2 {
  position: relative;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  margin-top: 40px;
}
.testimonial-grid2 svg {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 50%;
  background-position: center;
  background-size: cover;
  object-fit: cover;
  z-index: -1;
  -webkit-transform: translate(-50%, -50%);
  -moz-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  -o-transform: translate(-50%, -50%);
}
.testimonial-grid2 .testimonial-card2 {
  border: 1px solid var(--border2);
}

.testimonial-card2:nth-child(1) {
  grid-column: 1 / 2;
  grid-row: 1 / 2;
}

.testimonial-card2:nth-child(2) {
  grid-column: 2 / 3;
  grid-row: 1 / 3;
}

.testimonial-card2:nth-child(3) {
  grid-column: 3 / 4;
  grid-row: 1 / 2;
}

.client-testimonial2 .testimonial-card2 {
  width: 100%;
  background: var(--white);
  border-radius: 15px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  transition: 0.4s;
  -webkit-transition: 0.4s;
  -moz-transition: 0.4s;
  -ms-transition: 0.4s;
  -o-transition: 0.4s;
}

.client-testimonial2 .testimonial-card2:hover {
  transform: translateY(-5px);
  -webkit-transform: translateY(-5px);
  -moz-transform: translateY(-5px);
  -ms-transform: translateY(-5px);
  -o-transform: translateY(-5px);
}

.client-testimonial2 .testimonial-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.client-testimonial2 .user-info {
  display: flex;
  align-items: center;
  gap: 10px;
}

.client-testimonial2 .user-info img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  object-fit: cover;
}

.client-testimonial2 .user-details {
  display: flex;
  flex-direction: column;
}

.client-testimonial2 .user-details h3 {
  font-size: 18px;
  font-weight: 400;
  color: var(--black);
  font-family: var(--primary-font);
  text-align: left;
  margin: 0px;
}

.client-testimonial2 .user-details p {
  font-size: 16px;
  font-weight: 400;
  font-family: var(--secondary-font);
  color: var(--text2);
  margin: 0px;
}

.client-testimonial2 .rating {
  display: flex;
  align-items: center;
  gap: 5px;
  color: var(--black);
  font-family: var(--primary-font);
  font-size: 18px;
  font-weight: 400;
}

.testimonial-card2 .rate {
  color: var(--text3);
  font-size: 16px;
  font-family: var(--secondary-font);
  font-weight: 400;
}

.client-testimonial2 .rating img {
  width: 16px;
  height: 16px;
}

.client-testimonial2 .testimonial-text {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--text2);
  font-size: 1rem;
  margin-bottom: 0px;
}

/* Responsive Styles */
@media (max-width: 992px) {
  .testimonial-grid2 {
    grid-template-columns: repeat(2, 1fr);
    gap: 10px;
  }

  .testimonial-card2:nth-child(1) {
    grid-column: 1 / 2;
    grid-row: 1 / 2;
  }

  .testimonial-card2:nth-child(2) {
    grid-column: 2 / 3;
    grid-row: 1 / 2;
  }

  .testimonial-card2:nth-child(3) {
    grid-column: 1 / 2;
    grid-row: 2 / 4;
  }
}

@media (max-width: 576px) {
  .testimonial-grid2 {
    display: grid !important;
    grid-template-columns: repeat(1, 1fr) !important;
    gap: 10px !important;
  }

  .testimonial-card2 {
    grid-column: 1 / 2 !important;
    grid-row: auto !important;
  }

  .testimonial-grid2 svg {
    width: 100%;
  }

  .client-testimonial2 .header {
    text-align: center;
  }

  .client-testimonial2 .header h1 {
    font-size: calc(1.375rem + 1.5vw);
  }
}

/* Testimonial-2 End */

/* Timeline Start */
.timeline {
  max-width: 100%;
  margin-top: 80px;
}

.timeline .header {
  text-align: center;
  margin-bottom: 40px;
}

.timeline .wrapper {
  background: var(--bg2);
  border-radius: 24px;
  padding: 40px;
}

.timeline .header h1 {
  font-size: 2.5rem;
  color: var(--black);
}

.timeline .timeline-container {
  max-width: 100%;
  margin: 0 auto;
  position: relative;
}

.timeline .steps {
  display: flex;
  justify-content: space-between;
  align-items: start;
  text-align: center;
  position: relative;
}
.timeline .step {
  width: 22%;
  position: relative;
}

.timeline .circle {
    width: 50px;
    height: 50px;
    border-radius: 50%;
    background: radial-gradient(circle, #007bff, #0056b3);
    color: var(--white);
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    border: 4px solid #1E9DFF;
    font-weight: bold;
    margin: 0 auto 30px;
    box-shadow: 0px 0px 16px rgba(0, 123, 255, 0.5);
    position: relative;
    z-index: 1;
  }
  
  .timeline .circle::before {
    content: "";
    position: absolute;
    top: 21px;
    left: 21px;
    width: 60px;
    height: 60px;
    border-radius: 50%;
    background: rgba(0, 123, 255, 0.5);
    transform: translate(-50%, -50%) scale(1);
    z-index: -1;
    opacity: 0.6;
    /* animation: pulse 1.5s infinite ease-in-out; */
}
  
  /* @keyframes pulse {
    0% {
      transform: translate(-50%, -50%) scale(1);
      opacity: 0.6;
    }
    50% {
      transform: translate(-50%, -50%) scale(1.5);
      opacity: 0;
    }
    100% {
      transform: translate(-50%, -50%) scale(1);
      opacity: 0;
    }
  } */
  
.timeline .circle::after {
  content: "";
  position: absolute;
  top: 48%;
  left: 122%;
  width: 300px;
  height: 1px;
  background: transparent;
  border-bottom: 1px solid transparent;
  border-image: linear-gradient(
      to right,
      rgba(255, 255, 255, 0.5) 0%,
      #48BEFF 50%,
      #48BEFF 50%,
      rgba(255, 255, 255, 0.5) 90%
    )
    1 stretch;
   
}
.timeline .step:last-child .circle::after {
  display: none;
}
.timeline .step-title {
  font-size: 1.5rem;
  color: var(--black);
  margin-bottom: 10px;
}
.timeline .step-description {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--text2);
  text-decoration: none;
  font-size: 1rem;
  margin-bottom: 0px;
}


.timeline .button {
    display: flex;
    justify-content: end;
    align-items: center;
    margin-top: 40px;
  }

.timeline .affiliate-btn {
    position: relative;
    display: inline-flex;
    align-items: center;
    justify-content: left;
    text-align: center;
    gap: 10px;
    font-family: var(--secondary-font);
    font-weight: 600;
    font-size: 1.1em;
    text-decoration: none;
    background-color: transparent;
    color: var(--white);
    border: none;
    padding: 10px 0px;
    transition: 0.5s;
    width: 230px;
    margin-top: 20px;
  }
  
  .timeline .affiliate-btn svg {
    position: absolute;
    width: 100%;
    height: 100%;
  }
  
  .timeline .affiliate-btn svg path {
    transition: 0.4s;
  }
  
  .timeline .affiliate-btn:hover svg path {
    fill: var(--black);
  }
  
  .timeline .affiliate-btn span {
    position: relative;
    z-index: 1;
    margin: 0px 4px 0px 20px;
  }
  
  .timeline .affiliate-btn:hover span {
    color: var(--white);
  }
  
  .timeline .affiliate-btn img {
    width: 30px;
    z-index: 1;
    position: relative;
  }
  

@media (max-width: 1400px) {
    .timeline .circle::after {
        width: 220px;
      }
}

@media (max-width: 992px) {
    .timeline .step-title {
        font-size: 1.2rem;
    }
    .timeline .header h1 {
        font-size: calc(1.375rem + 1.5vw);
      }
    
      .timeline .steps {
        flex-direction: column;
      }
      .timeline .step {
        width: 100%;
        margin-bottom: 40px;
      }
    
      .timeline .circle {
        margin: 0 auto 10px;
      }
    
      .timeline .circle::after {
        width: 5px;
        height: 40px;
        left: 50%;
        top: 100%;
        transform: translateX(-50%);
      }
}
/* Timeline End */

/* Affiliate Marketing Start */
.affiliate-marketing {
  position: relative;
  width: 100%;
  margin-top: 80px;
}

.affiliate-marketing .shape {
  position: absolute;
  top: 0;
  left: 0px;
  transform: translateY(-30%);
  z-index: -1;
  -webkit-transform: translateY(-30%);
  -moz-transform: translateY(-30%);
  -ms-transform: translateY(-30%);
  -o-transform: translateY(-30%);
}
.affiliate-marketing .shape svg {
  width: 100px;
  height: 100px;
}

.affiliate-marketing .wrapper .image {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.affiliate-marketing .header {
  text-align: center;
  margin-bottom: 40px;
}

.affiliate-marketing .header p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--black);
  font-size: 1rem;
  margin-bottom: 0px;
  max-width: 700px;
  display: block;
  margin: auto;
}

.affiliate-marketing .header h1 {
  font-size: 2.5rem;
  color: var(--black);
}

.affiliate-marketing .wrapper .image svg {
  width: 100%;
  height: 100%;
}

.affiliate-marketing .item-wrap .items {
  display: flex;
  align-items: center;
  margin-bottom: 30px;
  gap: 20px;
}

.affiliate-marketing .item-wrap .items .item {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.affiliate-marketing .item-wrap h4 {
  font-size: 1.5rem;
  color: var(--black);
  margin-bottom: 0px;
}

.affiliate-marketing .item-wrap .link,
.affiliate-marketing .item-wrap p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--text2);
  text-decoration: none;
  font-size: 1rem;
  margin-bottom: 0px;
}

.affiliate-marketing .item-wrap .items svg {
  width: 60px;
  height: 60px;
}

#animatedPath {
  stroke: #3fbcff;
  stroke-width: 2;
  stroke-dasharray: 1000;
  stroke-dashoffset: 1000;
  animation: draw 5s linear forwards;
  -webkit-animation: draw 5s linear infinite;
}

@keyframes draw {
  to {
    stroke-dashoffset: 0;
  }
}
/* ........ */
@keyframes light-bounce {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
    -webkit-transform: translateY(-5px);
    -moz-transform: translateY(-5px);
    -ms-transform: translateY(-5px);
    -o-transform: translateY(-5px);
  }
}

.light-bounce {
  animation: light-bounce 3s infinite;
  -webkit-animation: light-bounce 3s infinite;
}
@keyframes light-bounce2 {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-5px);
    -webkit-transform: translateY(-5px);
    -moz-transform: translateY(-5px);
    -ms-transform: translateY(-5px);
    -o-transform: translateY(-5px);
  }
}

.light-bounce2 {
  animation: light-bounce2 2s infinite;
  -webkit-animation: light-bounce2 2s infinite;
}
/* ........ */

@media screen and (max-width: 992px) {
  .affiliate-marketing .header h1 {
    font-size: calc(1.375rem + 1.5vw);
  }
}

/* Affiliate Marketing End */

/* Affiliate Program Agreement Start */
.program-agreement {
  position: relative;
  width: 100%;
  margin-top: 80px;
}

.program-agreement .shape {
  position: absolute;
  bottom: 0;
  right: 0px;
  transform: translateY(-30%);
  z-index: -1;
  -webkit-transform: translateY(-30%);
  -moz-transform: translateY(-30%);
  -ms-transform: translateY(-30%);
  -o-transform: translateY(-30%);
}
.program-agreement .shape svg {
  width: 100px;
  height: 100px;
}

.program-agreement .wrapper .image {
  width: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}

.program-agreement .header p {
  font-family: var(--secondary-font);
  font-weight: 400;
  color: var(--black);
  font-size: 1rem;
  margin-bottom: 0px;
}

.program-agreement .header h1 {
  font-size: 2.5rem;
  color: var(--black);
}

.program-agreement .wrapper .image svg {
  width: 80%;
  height: 80%;
}

.program-agreement .agreement-btn {
  position: relative;
  display: inline-flex;
  align-items: center;
  justify-content: left;
  text-align: center;
  gap: 10px;
  font-family: var(--secondary-font);
  font-weight: 600;
  font-size: 1.1em;
  text-decoration: none;
  background-color: transparent;
  color: var(--white);
  border: none;
  padding: 10px 0px;
  transition: 0.5s;
  width: 280px;
  margin-top: 20px;
}

.program-agreement .agreement-btn svg {
  position: absolute;
  width: 100%;
  height: 100%;
}

.program-agreement .agreement-btn svg path {
  transition: 0.4s;
}

.program-agreement .agreement-btn:hover svg path {
  fill: var(--black);
}

.program-agreement .agreement-btn span {
  position: relative;
  z-index: 1;
  margin: 0px 4px 0px 20px;
}

.program-agreement .agreement-btn:hover span {
  color: var(--white);
}

.program-agreement .agreement-btn img {
  width: 30px;
  z-index: 1;
  position: relative;
}

#animatedPath {
  stroke: #b5e5ff;
  stroke-width: 2;
  stroke-dasharray: 1000;
  stroke-dashoffset: 1000;
  animation: draw 5s linear forwards;
  -webkit-animation: draw 5s linear infinite;
}

@keyframes draw {
  to {
    stroke-dashoffset: 0;
  }
}
/* ........ */
@keyframes light-bounce {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}

.light-bounce {
  animation: light-bounce 3s infinite;
  -webkit-animation: light-bounce 3s infinite;
}
@keyframes light-bounce2 {
  0%,
  100% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-20px);
  }
}

.light-bounce2 {
  animation: light-bounce2 2s infinite;
  -webkit-animation: light-bounce2 2s infinite;
}
/* ........ */

@media screen and (max-width: 992px) {
  .program-agreement .header h1 {
    font-size: calc(1.375rem + 1.5vw);
  }
}

@media screen and (max-width: 576px) {
}
/* Affiliate Program Agreement End */
